Manifest-Version: 1.0
Bnd-LastModified: 1724341965361
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Kernel
Bundle-SymbolicName: com.liferay.portal.kernel
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 9.46.2
Created-By: 1.8.0_381 (Oracle Corporation)
Export-Package: com.liferay.admin.kernel.util;version="2.0.0";uses:="c
 om.liferay.portal.kernel.model",com.liferay.announcements.kernel.cons
 tants;version="1.0.0",com.liferay.announcements.kernel.exception;vers
 ion="1.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.a
 nnouncements.kernel.model;version="2.2.0";uses:="com.liferay.exportim
 port.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.b
 ase,com.liferay.portal.kernel.annotation,com.liferay.portal.kernel.be
 an,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mode
 l,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel.u
 til",com.liferay.announcements.kernel.service;version="2.4.0";uses:="
 com.liferay.announcements.kernel.model,com.liferay.exportimport.kerne
 l.lar,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.dao.o
 rm,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.json
 webservice,com.liferay.portal.kernel.model,com.liferay.portal.kernel.
 search,com.liferay.portal.kernel.security.access.control,com.liferay.
 portal.kernel.service,com.liferay.portal.kernel.transaction,com.lifer
 ay.portal.kernel.util",com.liferay.announcements.kernel.service.persi
 stence;version="3.2.0";uses:="com.liferay.announcements.kernel.except
 ion,com.liferay.announcements.kernel.model,com.liferay.portal.kernel.
 dao.orm,com.liferay.portal.kernel.service,com.liferay.portal.kernel.s
 ervice.persistence,com.liferay.portal.kernel.util",com.liferay.announ
 cements.kernel.util;version="2.0.0";uses:="com.liferay.portal.kernel.
 exception,com.liferay.portal.kernel.model,com.liferay.portal.kernel.s
 ecurity.permission,com.liferay.portal.kernel.theme",com.liferay.asset
 .kernel;version="1.1.2";uses:="com.liferay.asset.kernel.model,com.lif
 eray.portal.kernel.exception",com.liferay.asset.kernel.action;version
 ="1.1.1";uses:="com.liferay.asset.kernel.model,com.liferay.portal.ker
 nel.exception,com.liferay.portal.kernel.security.permission,javax.ser
 vlet.http",com.liferay.asset.kernel.exception;version="2.0.0";uses:="
 com.liferay.asset.kernel.model,com.liferay.portal.kernel.exception",c
 om.liferay.asset.kernel.model;version="3.5.0";uses:="com.liferay.dyna
 mic.data.mapping.kernel,com.liferay.exportimport.kernel.lar,com.lifer
 ay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.ke
 rnel.annotation,com.liferay.portal.kernel.bean,com.liferay.portal.ker
 nel.exception,com.liferay.portal.kernel.model,com.liferay.portal.kern
 el.model.change.tracking,com.liferay.portal.kernel.model.wrapper,com.
 liferay.portal.kernel.portlet,com.liferay.portal.kernel.resource.bund
 le,com.liferay.portal.kernel.security.permission,com.liferay.portal.k
 ernel.theme,com.liferay.portal.kernel.util,javax.portlet,javax.servle
 t,javax.servlet.http",com.liferay.asset.kernel.model.adapter;version=
 "2.1.0";uses:="com.liferay.asset.kernel.model,com.liferay.portal.kern
 el.model",com.liferay.asset.kernel.service;version="2.10.0";uses:="co
 m.liferay.asset.kernel.model,com.liferay.asset.kernel.service.persist
 ence,com.liferay.exportimport.kernel.lar,com.liferay.petra.function,c
 om.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.cache.thread
 .local,com.liferay.portal.kernel.change.tracking,com.liferay.portal.k
 ernel.dao.orm,com.liferay.portal.kernel.exception,com.liferay.portal.
 kernel.increment,com.liferay.portal.kernel.json,com.liferay.portal.ke
 rnel.jsonwebservice,com.liferay.portal.kernel.model,com.liferay.porta
 l.kernel.search,com.liferay.portal.kernel.security.access.control,com
 .liferay.portal.kernel.service,com.liferay.portal.kernel.service.chan
 ge.tracking,com.liferay.portal.kernel.service.permission,com.liferay.
 portal.kernel.service.persistence.change.tracking,com.liferay.portal.
 kernel.systemevent,com.liferay.portal.kernel.transaction,com.liferay.
 portal.kernel.util",com.liferay.asset.kernel.service.persistence;vers
 ion="3.5.0";uses:="com.liferay.asset.kernel.exception,com.liferay.ass
 et.kernel.model,com.liferay.portal.kernel.dao.orm,com.liferay.portal.
 kernel.dao.search,com.liferay.portal.kernel.model,com.liferay.portal.
 kernel.service,com.liferay.portal.kernel.service.persistence,com.life
 ray.portal.kernel.service.persistence.change.tracking,com.liferay.por
 tal.kernel.util",com.liferay.asset.kernel.util;version="2.0.0",com.li
 feray.asset.kernel.validator;version="1.1.0";uses:="com.liferay.porta
 l.kernel.exception",com.liferay.background.task.kernel.util.comparato
 r;version="1.1.0";uses:="com.liferay.portal.kernel.backgroundtask,com
 .liferay.portal.kernel.util",com.liferay.counter.kernel;version="2.2.
 0",com.liferay.counter.kernel.exception;version="1.0.0";uses:="com.li
 feray.portal.kernel.exception",com.liferay.counter.kernel.model;versi
 on="2.2.0";uses:="com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl
 .base,com.liferay.portal.kernel.annotation,com.liferay.portal.kernel.
 bean,com.liferay.portal.kernel.model,com.liferay.portal.kernel.model.
 wrapper,com.liferay.portal.kernel.util",com.liferay.counter.kernel.se
 rvice;version="2.0.2";uses:="com.liferay.portal.kernel.exception,com.
 liferay.portal.kernel.service,com.liferay.portal.kernel.transaction",
 com.liferay.counter.kernel.service.persistence;version="2.0.2",com.li
 feray.document.library.kernel;version="1.0.0";uses:="com.liferay.port
 al.kernel.exception",com.liferay.document.library.kernel.antivirus;ve
 rsion="2.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay
 .document.library.kernel.document.conversion;version="1.0.0",com.life
 ray.document.library.kernel.exception;version="3.1.0";uses:="com.life
 ray.portal.kernel.exception",com.liferay.document.library.kernel.mode
 l;version="3.2.0";uses:="com.liferay.dynamic.data.mapping.kernel,com.
 liferay.expando.kernel.model,com.liferay.exportimport.kernel.lar,com.
 liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.port
 al.kernel.annotation,com.liferay.portal.kernel.bean,com.liferay.porta
 l.kernel.exception,com.liferay.portal.kernel.lock,com.liferay.portal.
 kernel.model,com.liferay.portal.kernel.model.change.tracking,com.life
 ray.portal.kernel.model.wrapper,com.liferay.portal.kernel.repository.
 model,com.liferay.portal.kernel.trash,com.liferay.portal.kernel.util,
 com.liferay.trash.kernel.model",com.liferay.document.library.kernel.s
 ervice;version="3.6.0";uses:="com.liferay.asset.kernel.model,com.life
 ray.document.library.kernel.exception,com.liferay.document.library.ke
 rnel.model,com.liferay.dynamic.data.mapping.kernel,com.liferay.export
 import.kernel.lar,com.liferay.petra.function,com.liferay.petra.sql.ds
 l.query,com.liferay.portal.kernel.cache.thread.local,com.liferay.port
 al.kernel.change.tracking,com.liferay.portal.kernel.dao.orm,com.lifer
 ay.portal.kernel.exception,com.liferay.portal.kernel.increment,com.li
 feray.portal.kernel.jsonwebservice,com.liferay.portal.kernel.lock,com
 .liferay.portal.kernel.messaging.async,com.liferay.portal.kernel.mode
 l,com.liferay.portal.kernel.repository.model,com.liferay.portal.kerne
 l.search,com.liferay.portal.kernel.security.access.control,com.lifera
 y.portal.kernel.service,com.liferay.portal.kernel.service.change.trac
 king,com.liferay.portal.kernel.service.permission,com.liferay.portal.
 kernel.service.persistence.change.tracking,com.liferay.portal.kernel.
 systemevent,com.liferay.portal.kernel.transaction,com.liferay.portal.
 kernel.util",com.liferay.document.library.kernel.service.persistence;
 version="4.3.0";uses:="com.liferay.document.library.kernel.exception,
 com.liferay.document.library.kernel.model,com.liferay.portal.kernel.d
 ao.orm,com.liferay.portal.kernel.service,com.liferay.portal.kernel.se
 rvice.persistence,com.liferay.portal.kernel.service.persistence.chang
 e.tracking,com.liferay.portal.kernel.util",com.liferay.document.libra
 ry.kernel.store;version="2.1.0";uses:="com.liferay.portal.kernel.exce
 ption,com.liferay.portal.kernel.transaction",com.liferay.document.lib
 rary.kernel.util;version="2.0.0";uses:="com.liferay.document.library.
 kernel.exception,com.liferay.document.library.kernel.model,com.lifera
 y.exportimport.kernel.lar,com.liferay.portal.kernel.exception,com.lif
 eray.portal.kernel.repository.model,com.liferay.portal.kernel.search,
 com.liferay.portal.kernel.service,com.liferay.portal.kernel.theme,com
 .liferay.portal.kernel.util,com.liferay.portal.kernel.xml,javax.portl
 et",com.liferay.document.library.kernel.util.comparator;version="2.1.
 0";uses:="com.liferay.document.library.kernel.model,com.liferay.porta
 l.kernel.repository.model,com.liferay.portal.kernel.util",com.liferay
 .document.library.kernel.versioning;version="1.0.0";uses:="com.lifera
 y.document.library.kernel.model",com.liferay.dynamic.data.mapping.ker
 nel;version="1.4.0";uses:="com.liferay.expando.kernel.model,com.lifer
 ay.portal.kernel.exception,com.liferay.portal.kernel.json,com.liferay
 .portal.kernel.model,com.liferay.portal.kernel.search,com.liferay.por
 tal.kernel.service,com.liferay.portal.kernel.theme",com.liferay.expan
 do.kernel.exception;version="1.1.0";uses:="com.liferay.portal.kernel.
 exception",com.liferay.expando.kernel.model;version="3.3.0";uses:="co
 m.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.po
 rtal.kernel.annotation,com.liferay.portal.kernel.bean,com.liferay.por
 tal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.porta
 l.kernel.model,com.liferay.portal.kernel.model.change.tracking,com.li
 feray.portal.kernel.model.wrapper,com.liferay.portal.kernel.service,c
 om.liferay.portal.kernel.util",com.liferay.expando.kernel.model.adapt
 er;version="2.3.0";uses:="com.liferay.expando.kernel.model,com.lifera
 y.portal.kernel.model",com.liferay.expando.kernel.service;version="1.
 7.1";uses:="com.liferay.expando.kernel.model,com.liferay.petra.functi
 on,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.change.t
 racking,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.e
 xception,com.liferay.portal.kernel.json,com.liferay.portal.kernel.jso
 nwebservice,com.liferay.portal.kernel.model,com.liferay.portal.kernel
 .search,com.liferay.portal.kernel.security.access.control,com.liferay
 .portal.kernel.service,com.liferay.portal.kernel.service.change.track
 ing,com.liferay.portal.kernel.service.persistence.change.tracking,com
 .liferay.portal.kernel.transaction,com.liferay.portal.kernel.util",co
 m.liferay.expando.kernel.service.permission;version="1.0.0";uses:="co
 m.liferay.expando.kernel.model,com.liferay.portal.kernel.exception,co
 m.liferay.portal.kernel.security.permission",com.liferay.expando.kern
 el.service.persistence;version="3.1.0";uses:="com.liferay.expando.ker
 nel.exception,com.liferay.expando.kernel.model,com.liferay.portal.ker
 nel.dao.orm,com.liferay.portal.kernel.service,com.liferay.portal.kern
 el.service.persistence,com.liferay.portal.kernel.service.persistence.
 change.tracking,com.liferay.portal.kernel.util",com.liferay.expando.k
 ernel.util;version="2.0.0";uses:="com.liferay.expando.kernel.model,co
 m.liferay.portal.kernel.search,com.liferay.portal.kernel.service",com
 .liferay.exportimport.kernel.background.task;version="1.3.1",com.life
 ray.exportimport.kernel.configuration;version="3.1.0";uses:="com.life
 ray.exportimport.kernel.model,com.liferay.portal.kernel.backgroundtas
 k,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.model
 ,javax.portlet",com.liferay.exportimport.kernel.configuration.constan
 ts;version="1.0.0",com.liferay.exportimport.kernel.controller;version
 ="1.0.3";uses:="com.liferay.exportimport.kernel.lar,com.liferay.expor
 timport.kernel.model",com.liferay.exportimport.kernel.exception;versi
 on="1.3.0";uses:="com.liferay.exportimport.kernel.lar,com.liferay.por
 tal.kernel.exception",com.liferay.exportimport.kernel.lar;version="3.
 4.0";uses:="com.liferay.expando.kernel.model,com.liferay.exportimport
 .kernel.model,com.liferay.portal.kernel.backgroundtask,com.liferay.po
 rtal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.lock,com.liferay.portal.kernel.model,com.liferay.portal.
 kernel.repository.model,com.liferay.portal.kernel.service,com.liferay
 .portal.kernel.theme,com.liferay.portal.kernel.util,com.liferay.porta
 l.kernel.xml,com.liferay.portal.kernel.zip,javax.portlet",com.liferay
 .exportimport.kernel.lifecycle;version="2.0.0";uses:="com.liferay.exp
 ortimport.kernel.lar,com.liferay.exportimport.kernel.model,com.lifera
 y.portal.kernel.model",com.liferay.exportimport.kernel.lifecycle.cons
 tants;version="1.0.0",com.liferay.exportimport.kernel.model;version="
 2.2.0";uses:="com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.bas
 e,com.liferay.portal.kernel.annotation,com.liferay.portal.kernel.bean
 ,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.model,
 com.liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel.tra
 sh,com.liferay.portal.kernel.util,com.liferay.trash.kernel.model",com
 .liferay.exportimport.kernel.service;version="2.5.0";uses:="com.lifer
 ay.exportimport.kernel.lar,com.liferay.exportimport.kernel.model,com.
 liferay.petra.sql.dsl.query,com.liferay.portal.kernel.dao.orm,com.lif
 eray.portal.kernel.exception,com.liferay.portal.kernel.jsonwebservice
 ,com.liferay.portal.kernel.model,com.liferay.portal.kernel.search,com
 .liferay.portal.kernel.security.access.control,com.liferay.portal.ker
 nel.service,com.liferay.portal.kernel.systemevent,com.liferay.portal.
 kernel.transaction,com.liferay.portal.kernel.util,javax.portlet",com.
 liferay.exportimport.kernel.service.persistence;version="2.3.0";uses:
 ="com.liferay.exportimport.kernel.exception,com.liferay.exportimport.
 kernel.model,com.liferay.portal.kernel.dao.orm,com.liferay.portal.ker
 nel.service,com.liferay.portal.kernel.service.persistence,com.liferay
 .portal.kernel.util",com.liferay.exportimport.kernel.staging;version=
 "2.2.0";uses:="com.liferay.exportimport.kernel.lar,com.liferay.export
 import.kernel.model,com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.json,com.liferay.portal.kernel.model,com.liferay.portal.
 kernel.security.auth,com.liferay.portal.kernel.util,com.liferay.porta
 l.kernel.workflow,com.liferay.portal.kernel.xml,javax.portlet,javax.s
 ervlet.http",com.liferay.exportimport.kernel.staging.constants;versio
 n="1.0.0",com.liferay.exportimport.kernel.staging.permission;version=
 "1.0.0";uses:="com.liferay.portal.kernel.model,com.liferay.portal.ker
 nel.security.permission",com.liferay.exportimport.kernel.xstream;vers
 ion="1.0.3",com.liferay.image.gallery.display.kernel.display.context;
 version="1.0.0";uses:="com.liferay.portal.kernel.display.context,com.
 liferay.portal.kernel.exception,com.liferay.portal.kernel.repository.
 model,com.liferay.portal.kernel.servlet.taglib.ui,javax.servlet.http"
 ,com.liferay.layout.admin.kernel.model;version="1.0.0";uses:="com.lif
 eray.portal.kernel.model",com.liferay.layout.admin.kernel.util;versio
 n="1.2.0";uses:="com.liferay.portal.kernel.exception,com.liferay.port
 al.kernel.model,com.liferay.portal.kernel.theme,com.liferay.portal.ke
 rnel.util,com.liferay.portal.kernel.xml",com.liferay.layout.seo.kerne
 l;version="1.2.0";uses:="com.liferay.portal.kernel.exception,com.life
 ray.portal.kernel.model,com.liferay.portal.kernel.util",com.liferay.l
 ayouts.admin.kernel.model;version="1.3.0";uses:="com.liferay.portal.k
 ernel.model",com.liferay.layouts.admin.kernel.util;version="1.3.1";us
 es:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mo
 del,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.util,co
 m.liferay.portal.kernel.xml",com.liferay.mail.kernel.model;version="1
 .1.0";uses:="javax.mail.internet",com.liferay.mail.kernel.service;ver
 sion="1.0.0";uses:="com.liferay.mail.kernel.model,com.liferay.portal.
 kernel.exception,com.liferay.portal.kernel.transaction,javax.mail",co
 m.liferay.mail.kernel.template;version="2.0.0";uses:="com.liferay.por
 tal.kernel.util",com.liferay.mail.kernel.util;version="1.0.0";uses:="
 com.liferay.mail.kernel.model",com.liferay.membership.requests.kernel
 .util.comparator;version="1.1.0";uses:="com.liferay.portal.kernel.mod
 el,com.liferay.portal.kernel.util",com.liferay.mobile.device.rules.ke
 rnel;version="1.0.0";uses:="com.liferay.expando.kernel.model,com.life
 ray.exportimport.kernel.lar",com.liferay.portal.kernel.annotation;ver
 sion="7.0.0",com.liferay.portal.kernel.aop;version="1.0.1",com.lifera
 y.portal.kernel.application.type;version="1.0.0",com.liferay.portal.k
 ernel.atom;version="7.0.2";uses:="com.liferay.portal.kernel.exception
 ",com.liferay.portal.kernel.audit;version="7.0.0";uses:="com.liferay.
 portal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.po
 rtal.kernel.messaging.proxy",com.liferay.portal.kernel.backgroundtask
 ;version="8.0.0";uses:="com.liferay.petra.lang,com.liferay.portal.ker
 nel.backgroundtask.display,com.liferay.portal.kernel.exception,com.li
 feray.portal.kernel.messaging,com.liferay.portal.kernel.model,com.lif
 eray.portal.kernel.repository.model,com.liferay.portal.kernel.service
 ,com.liferay.portal.kernel.util",com.liferay.portal.kernel.background
 task.constants;version="1.0.0",com.liferay.portal.kernel.backgroundta
 sk.display;version="2.0.0";uses:="com.liferay.portal.kernel.backgroun
 dtask,com.liferay.portal.kernel.json,com.liferay.portal.kernel.templa
 te,javax.servlet.http",com.liferay.portal.kernel.bean;version="8.0.0"
 ;uses:="javax.portlet,javax.servlet.http",com.liferay.portal.kernel.c
 ache;version="9.1.0";uses:="com.liferay.portal.kernel.nio.intraband.p
 roxy.annotation,com.liferay.portal.kernel.transaction",com.liferay.po
 rtal.kernel.cache.configurator;version="1.0.0",com.liferay.portal.ker
 nel.cache.index;version="6.2.0";uses:="com.liferay.portal.kernel.cach
 e",com.liferay.portal.kernel.cache.key;version="6.3.0";uses:="com.lif
 eray.petra.string,com.liferay.portal.kernel.util",com.liferay.portal.
 kernel.cache.thread.local;version="2.0.0";uses:="com.liferay.portal.k
 ernel.transaction",com.liferay.portal.kernel.cache.transactional;vers
 ion="2.1.0";uses:="com.liferay.portal.kernel.cache,com.liferay.portal
 .kernel.transaction",com.liferay.portal.kernel.cal;version="6.3.0",co
 m.liferay.portal.kernel.captcha;version="7.0.0";uses:="com.liferay.po
 rtal.kernel.exception,javax.portlet,javax.servlet.http",com.liferay.p
 ortal.kernel.change.tracking;version="1.2.0";uses:="com.liferay.petra
 .lang,com.liferay.portal.kernel.exception",com.liferay.portal.kernel.
 cluster;version="8.0.0";uses:="com.liferay.portal.kernel.concurrent,c
 om.liferay.portal.kernel.exception,com.liferay.portal.kernel.messagin
 g,com.liferay.portal.kernel.util",com.liferay.portal.kernel.cluster.m
 essaging;version="7.1.0";uses:="com.liferay.portal.kernel.cluster,com
 .liferay.portal.kernel.messaging",com.liferay.portal.kernel.comment;v
 ersion="3.0.0";uses:="com.liferay.exportimport.kernel.lar,com.liferay
 .portal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.lifera
 y.portal.kernel.model,com.liferay.portal.kernel.security.permission,c
 om.liferay.portal.kernel.service,com.liferay.ratings.kernel.model",co
 m.liferay.portal.kernel.comment.display.context;version="1.0.0";uses:
 ="com.liferay.portal.kernel.comment,com.liferay.portal.kernel.display
 .context,com.liferay.portal.kernel.exception,javax.servlet.http",com.
 liferay.portal.kernel.concurrent;version="8.0.0",com.liferay.portal.k
 ernel.configuration;version="6.3.0",com.liferay.portal.kernel.dao.db;
 version="7.9.0";uses:="javax.naming,javax.sql",com.liferay.portal.ker
 nel.dao.jdbc;version="8.0.0";uses:="javax.naming,javax.sql",com.lifer
 ay.portal.kernel.dao.jdbc.aop;version="7.0.0";uses:="javax.sql",com.l
 iferay.portal.kernel.dao.jdbc.pool.metrics;version="1.0.0",com.lifera
 y.portal.kernel.dao.orm;version="9.7.0";uses:="com.liferay.exportimpo
 rt.kernel.lar,com.liferay.petra.function,com.liferay.petra.sql.dsl.qu
 ery,com.liferay.portal.kernel.cache,com.liferay.portal.kernel.excepti
 on,com.liferay.portal.kernel.model,com.liferay.portal.kernel.search,c
 om.liferay.portal.kernel.service,com.liferay.portal.kernel.service.pe
 rsistence.impl,com.liferay.portal.kernel.transaction,com.liferay.port
 al.kernel.util",com.liferay.portal.kernel.dao.search;version="8.0.1";
 uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 util,javax.portlet,javax.servlet,javax.servlet.http",com.liferay.port
 al.kernel.dependency.manager;version="1.2.0",com.liferay.portal.kerne
 l.deploy;version="6.3.1";uses:="com.liferay.portal.kernel.deploy.auto
 .context,com.liferay.portal.kernel.plugin",com.liferay.portal.kernel.
 deploy.auto;version="7.1.0";uses:="com.liferay.portal.kernel.deploy.a
 uto.context,com.liferay.portal.kernel.exception",com.liferay.portal.k
 ernel.deploy.auto.context;version="6.3.0";uses:="com.liferay.portal.k
 ernel.plugin",com.liferay.portal.kernel.deploy.hot;version="7.1.2";us
 es:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.me
 ssaging,com.liferay.portal.kernel.plugin,com.liferay.portal.kernel.ut
 il,javax.servlet",com.liferay.portal.kernel.diff;version="1.0.0";uses
 :="com.liferay.portal.kernel.exception",com.liferay.portal.kernel.dis
 play.context;version="1.0.0";uses:="com.liferay.registry,javax.servle
 t.http",com.liferay.portal.kernel.display.context.util;version="1.1.0
 ";uses:="com.liferay.portal.kernel.model,com.liferay.portal.kernel.po
 rtlet,com.liferay.portal.kernel.security.permission,com.liferay.porta
 l.kernel.theme,javax.servlet.http",com.liferay.portal.kernel.editor;v
 ersion="7.0.0",com.liferay.portal.kernel.editor.configuration;version
 ="1.1.0";uses:="com.liferay.portal.kernel.json,com.liferay.portal.ker
 nel.portlet,com.liferay.portal.kernel.theme",com.liferay.portal.kerne
 l.editor.constants;version="1.0.0",com.liferay.portal.kernel.events;v
 ersion="6.3.0";uses:="com.liferay.portal.kernel.exception,javax.portl
 et,javax.servlet.http",com.liferay.portal.kernel.exception;version="9
 .5.0";uses:="com.liferay.portal.kernel.model,com.liferay.portal.kerne
 l.security.auth,com.liferay.portal.kernel.util",com.liferay.portal.ke
 rnel.facebook;version="7.0.0";uses:="com.liferay.portal.kernel.json,j
 avax.portlet",com.liferay.portal.kernel.flash;version="6.2.0",com.lif
 eray.portal.kernel.format;version="7.0.0",com.liferay.portal.kernel.g
 roup.capability;version="1.0.0";uses:="com.liferay.portal.kernel.mode
 l",com.liferay.portal.kernel.image;version="7.2.2";uses:="com.liferay
 .portal.kernel.exception,com.liferay.portal.kernel.model,javax.servle
 t",com.liferay.portal.kernel.increment;version="7.0.0";uses:="com.lif
 eray.petra.lang",com.liferay.portal.kernel.instance.lifecycle;version
 ="2.0.0";uses:="com.liferay.portal.kernel.model",com.liferay.portal.k
 ernel.interval;version="1.0.0";uses:="com.liferay.portal.kernel.excep
 tion",com.liferay.portal.kernel.io;version="8.0.0",com.liferay.portal
 .kernel.io.constants;version="1.0.0",com.liferay.portal.kernel.io.uns
 ync;version="7.0.0";uses:="com.liferay.portal.kernel.util",com.lifera
 y.portal.kernel.javadoc;version="7.0.0",com.liferay.portal.kernel.jaz
 zy;version="1.0.0",com.liferay.portal.kernel.jmx.model;version="7.0.0
 ";uses:="javax.management",com.liferay.portal.kernel.jndi;version="7.
 0.0";uses:="javax.naming",com.liferay.portal.kernel.json;version="8.1
 0.0";uses:="com.liferay.petra.function,com.liferay.portal.kernel.exce
 ption",com.liferay.portal.kernel.jsonwebservice;version="7.0.0";uses:
 ="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.util,
 javax.servlet,javax.servlet.http",com.liferay.portal.kernel.language;
 version="8.3.0";uses:="com.liferay.portal.kernel.exception,com.lifera
 y.portal.kernel.resource.bundle,com.liferay.portal.kernel.util,javax.
 portlet,javax.servlet.http",com.liferay.portal.kernel.language.consta
 nts;version="1.0.0",com.liferay.portal.kernel.layoutconfiguration.uti
 l;version="1.2.1";uses:="com.liferay.portal.kernel.layoutconfiguratio
 n.util.xml,com.liferay.portal.kernel.template,com.liferay.portal.kern
 el.util,javax.servlet.http",com.liferay.portal.kernel.layoutconfigura
 tion.util.xml;version="1.0.0",com.liferay.portal.kernel.license;versi
 on="1.0.0",com.liferay.portal.kernel.license.messaging;version="2.0.0
 ";uses:="com.liferay.portal.kernel.json,com.liferay.portal.kernel.mes
 saging",com.liferay.portal.kernel.license.util;version="1.0.0";uses:=
 "com.liferay.portal.kernel.json,com.liferay.portal.kernel.license",co
 m.liferay.portal.kernel.lock;version="7.3.0";uses:="com.liferay.porta
 l.kernel.exception",com.liferay.portal.kernel.log;version="7.0.0",com
 .liferay.portal.kernel.lpkg;version="2.0.0",com.liferay.portal.kernel
 .management;version="8.0.0";uses:="com.liferay.portal.kernel.exceptio
 n",com.liferay.portal.kernel.management.jmx;version="6.2.0";uses:="co
 m.liferay.portal.kernel.jmx.model,com.liferay.portal.kernel.managemen
 t,javax.management",com.liferay.portal.kernel.messaging;version="9.1.
 0";uses:="com.liferay.petra.executor,com.liferay.portal.kernel.except
 ion,com.liferay.portal.kernel.messaging.sender,com.liferay.registry",
 com.liferay.portal.kernel.messaging.async;version="6.2.0",com.liferay
 .portal.kernel.messaging.config;version="8.1.0";uses:="com.liferay.po
 rtal.kernel.messaging",com.liferay.portal.kernel.messaging.proxy;vers
 ion="8.1.0";uses:="com.liferay.petra.lang,com.liferay.portal.kernel.m
 essaging,com.liferay.portal.kernel.messaging.sender,com.liferay.porta
 l.kernel.spring.aop",com.liferay.portal.kernel.messaging.sender;versi
 on="8.0.0";uses:="com.liferay.portal.kernel.messaging",com.liferay.po
 rtal.kernel.metadata;version="7.0.1";uses:="com.liferay.dynamic.data.
 mapping.kernel,com.liferay.exportimport.kernel.lar,com.liferay.portal
 .kernel.exception,com.liferay.portal.kernel.repository.model,com.life
 ray.portal.kernel.xml",com.liferay.portal.kernel.microsofttranslator;
 version="7.0.0";uses:="com.liferay.portal.kernel.exception",com.lifer
 ay.portal.kernel.mobile.device;version="9.0.0";uses:="javax.servlet.h
 ttp",com.liferay.portal.kernel.model;version="5.6.0";uses:="com.lifer
 ay.asset.kernel.model,com.liferay.expando.kernel.model,com.liferay.ex
 portimport.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.petra.sql
 .dsl.base,com.liferay.portal.kernel.annotation,com.liferay.portal.ker
 nel.application.type,com.liferay.portal.kernel.atom,com.liferay.porta
 l.kernel.bean,com.liferay.portal.kernel.exception,com.liferay.portal.
 kernel.json,com.liferay.portal.kernel.model.change.tracking,com.lifer
 ay.portal.kernel.model.portlet,com.liferay.portal.kernel.model.wrappe
 r,com.liferay.portal.kernel.notifications,com.liferay.portal.kernel.p
 lugin,com.liferay.portal.kernel.poller,com.liferay.portal.kernel.pop,
 com.liferay.portal.kernel.portlet,com.liferay.portal.kernel.scheduler
 ,com.liferay.portal.kernel.search,com.liferay.portal.kernel.security.
 permission,com.liferay.portal.kernel.security.permission.propagator,c
 om.liferay.portal.kernel.service,com.liferay.portal.kernel.service.pe
 rsistence,com.liferay.portal.kernel.servlet,com.liferay.portal.kernel
 .template,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.t
 rash,com.liferay.portal.kernel.util,com.liferay.portal.kernel.webdav,
 com.liferay.portal.kernel.workflow,com.liferay.portal.kernel.xml,com.
 liferay.portal.kernel.xmlrpc,com.liferay.social.kernel.model,com.life
 ray.trash.kernel.model,javax.portlet,javax.servlet,javax.servlet.http
 ",com.liferay.portal.kernel.model.adapter;version="3.1.0";uses:="com.
 liferay.portal.kernel.model",com.liferay.portal.kernel.model.adapter.
 builder;version="1.0.0",com.liferay.portal.kernel.model.cache;version
 ="1.0.0",com.liferay.portal.kernel.model.change.tracking;version="1.0
 .0";uses:="com.liferay.portal.kernel.model",com.liferay.portal.kernel
 .model.dao;version="2.5.0",com.liferay.portal.kernel.model.impl;versi
 on="3.4.0";uses:="com.liferay.expando.kernel.model,com.liferay.portal
 .kernel.exception,com.liferay.portal.kernel.io.unsync,com.liferay.por
 tal.kernel.model,com.liferay.portal.kernel.security.permission,com.li
 feray.portal.kernel.service,javax.servlet,javax.servlet.http",com.lif
 eray.portal.kernel.model.portlet;version="2.0.0";uses:="com.liferay.p
 etra.string,javax.portlet",com.liferay.portal.kernel.model.role;versi
 on="1.1.0",com.liferay.portal.kernel.model.version;version="2.0.0",co
 m.liferay.portal.kernel.model.wrapper;version="1.1.0";uses:="com.life
 ray.expando.kernel.model,com.liferay.portal.kernel.model,com.liferay.
 portal.kernel.service",com.liferay.portal.kernel.module.configuration
 ;version="2.0.0";uses:="com.liferay.portal.kernel.exception,com.lifer
 ay.portal.kernel.model,com.liferay.portal.kernel.settings",com.lifera
 y.portal.kernel.module.framework;version="1.4.0",com.liferay.portal.k
 ernel.module.framework.service;version="1.0.1";uses:="com.liferay.por
 tal.kernel.transaction,com.liferay.portal.kernel.util",com.liferay.po
 rtal.kernel.monitoring;version="8.0.0";uses:="com.liferay.portal.kern
 el.exception,javax.portlet",com.liferay.portal.kernel.nio.intraband;v
 ersion="7.0.0",com.liferay.portal.kernel.nio.intraband.blocking;versi
 on="6.3.0";uses:="com.liferay.portal.kernel.nio.intraband",com.lifera
 y.portal.kernel.nio.intraband.mailbox;version="6.3.0";uses:="com.life
 ray.portal.kernel.nio.intraband",com.liferay.portal.kernel.nio.intrab
 and.messaging;version="7.0.0";uses:="com.liferay.portal.kernel.messag
 ing,com.liferay.portal.kernel.nio.intraband,com.liferay.portal.kernel
 .process,com.liferay.portal.kernel.resiliency.spi",com.liferay.portal
 .kernel.nio.intraband.nonblocking;version="6.3.0";uses:="com.liferay.
 portal.kernel.nio.intraband",com.liferay.portal.kernel.nio.intraband.
 proxy;version="1.0.0";uses:="com.liferay.portal.kernel.io,com.liferay
 .portal.kernel.nio.intraband",com.liferay.portal.kernel.nio.intraband
 .proxy.annotation;version="1.0.0",com.liferay.portal.kernel.nio.intra
 band.rpc;version="7.0.0";uses:="com.liferay.portal.kernel.concurrent,
 com.liferay.portal.kernel.nio.intraband,com.liferay.portal.kernel.pro
 cess",com.liferay.portal.kernel.nio.intraband.welder;version="6.2.0";
 uses:="com.liferay.portal.kernel.nio.intraband",com.liferay.portal.ke
 rnel.nio.intraband.welder.fifo;version="6.2.0";uses:="com.liferay.por
 tal.kernel.nio.intraband,com.liferay.portal.kernel.nio.intraband.weld
 er",com.liferay.portal.kernel.nio.intraband.welder.socket;version="6.
 2.0";uses:="com.liferay.portal.kernel.nio.intraband,com.liferay.porta
 l.kernel.nio.intraband.welder,com.liferay.portal.kernel.util",com.lif
 eray.portal.kernel.notifications;version="8.0.0";uses:="com.liferay.a
 sset.kernel.model,com.liferay.portal.kernel.exception,com.liferay.por
 tal.kernel.json,com.liferay.portal.kernel.model,com.liferay.portal.ke
 rnel.service",com.liferay.portal.kernel.oauth;version="6.2.0";uses:="
 com.liferay.portal.kernel.exception",com.liferay.portal.kernel.openid
 ;version="1.0.0",com.liferay.portal.kernel.parsers.bbcode;version="7.
 0.0",com.liferay.portal.kernel.patcher;version="7.2.1";uses:="com.lif
 eray.portal.kernel.exception",com.liferay.portal.kernel.plugin;versio
 n="6.4.0";uses:="com.liferay.portal.kernel.exception,com.liferay.port
 al.kernel.util",com.liferay.portal.kernel.poller;version="7.0.0";uses
 :="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.json
 ,com.liferay.portal.kernel.messaging,com.liferay.portal.kernel.nio.in
 traband.proxy.annotation",com.liferay.portal.kernel.poller.comet;vers
 ion="7.0.0";uses:="com.liferay.portal.kernel.exception,javax.servlet.
 http",com.liferay.portal.kernel.pop;version="6.3.0";uses:="com.lifera
 y.portal.kernel.exception,javax.mail",com.liferay.portal.kernel.portl
 et;version="10.4.0";uses:="com.liferay.asset.kernel.model,com.liferay
 .expando.kernel.model,com.liferay.exportimport.kernel.lar,com.liferay
 .portal.kernel.atom,com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.json,com.liferay.portal.kernel.model,com.liferay.portal.
 kernel.notifications,com.liferay.portal.kernel.poller,com.liferay.por
 tal.kernel.pop,com.liferay.portal.kernel.scheduler.messaging,com.life
 ray.portal.kernel.search,com.liferay.portal.kernel.security.permissio
 n,com.liferay.portal.kernel.security.permission.propagator,com.lifera
 y.portal.kernel.servlet,com.liferay.portal.kernel.settings,com.lifera
 y.portal.kernel.spring.osgi,com.liferay.portal.kernel.template,com.li
 feray.portal.kernel.theme,com.liferay.portal.kernel.trash,com.liferay
 .portal.kernel.util,com.liferay.portal.kernel.webdav,com.liferay.port
 al.kernel.workflow,com.liferay.portal.kernel.xml,com.liferay.portal.k
 ernel.xmlrpc,com.liferay.registry.collections,com.liferay.social.kern
 el.model,javax.portlet,javax.portlet.annotations,javax.portlet.filter
 ,javax.servlet,javax.servlet.http",com.liferay.portal.kernel.portlet.
 async;version="1.0.1";uses:="javax.portlet",com.liferay.portal.kernel
 .portlet.bridges.mvc;version="3.0.0";uses:="com.liferay.portal.kernel
 .portlet,javax.portlet",com.liferay.portal.kernel.portlet.bridges.mvc
 .constants;version="1.0.0",com.liferay.portal.kernel.portlet.configur
 ation.icon;version="1.1.0";uses:="com.liferay.portal.kernel.model,com
 .liferay.registry,com.liferay.registry.collections,javax.portlet,java
 x.servlet,javax.servlet.http",com.liferay.portal.kernel.portlet.confi
 guration.icon.locator;version="1.0.0";uses:="javax.portlet",com.lifer
 ay.portal.kernel.portlet.constants;version="1.0.0",com.liferay.portal
 .kernel.portlet.toolbar;version="1.0.0";uses:="com.liferay.portal.ker
 nel.servlet.taglib.ui,javax.portlet",com.liferay.portal.kernel.portle
 t.toolbar.contributor;version="1.1.0";uses:="com.liferay.portal.kerne
 l.servlet.taglib.ui,javax.portlet",com.liferay.portal.kernel.portlet.
 toolbar.contributor.locator;version="1.0.0";uses:="com.liferay.portal
 .kernel.portlet.toolbar.contributor,javax.portlet",com.liferay.portal
 .kernel.portletdisplaytemplate;version="6.4.1";uses:="com.liferay.dyn
 amic.data.mapping.kernel,com.liferay.portal.kernel.template,javax.ser
 vlet.http",com.liferay.portal.kernel.portletfilerepository;version="2
 .0.2";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.k
 ernel.model,com.liferay.portal.kernel.repository.model,com.liferay.po
 rtal.kernel.search,com.liferay.portal.kernel.service,com.liferay.port
 al.kernel.theme,com.liferay.portal.kernel.util",com.liferay.portal.ke
 rnel.process;version="8.0.0";uses:="com.liferay.portal.kernel.concurr
 ent,com.liferay.portal.kernel.io",com.liferay.portal.kernel.process.l
 ocal;version="2.0.0";uses:="com.liferay.portal.kernel.concurrent,com.
 liferay.portal.kernel.process",com.liferay.portal.kernel.regex;versio
 n="1.0.0",com.liferay.portal.kernel.repository;version="9.1.0";uses:=
 "com.liferay.asset.kernel.service,com.liferay.document.library.kernel
 .model,com.liferay.document.library.kernel.service,com.liferay.portal
 .kernel.exception,com.liferay.portal.kernel.lock,com.liferay.portal.k
 ernel.model,com.liferay.portal.kernel.repository.capabilities,com.lif
 eray.portal.kernel.repository.model,com.liferay.portal.kernel.resourc
 e.bundle,com.liferay.portal.kernel.search,com.liferay.portal.kernel.s
 ervice,com.liferay.portal.kernel.util",com.liferay.portal.kernel.repo
 sitory.capabilities;version="2.0.0";uses:="com.liferay.portal.kernel.
 exception,com.liferay.portal.kernel.repository,com.liferay.portal.ker
 nel.repository.event,com.liferay.portal.kernel.repository.model,com.l
 iferay.portal.kernel.service,com.liferay.portal.kernel.util",com.life
 ray.portal.kernel.repository.event;version="1.1.0";uses:="com.liferay
 .portal.kernel.exception,com.liferay.portal.kernel.repository.model,c
 om.liferay.portal.kernel.repository.registry",com.liferay.portal.kern
 el.repository.model;version="8.0.0";uses:="com.liferay.expando.kernel
 .model,com.liferay.exportimport.kernel.lar,com.liferay.portal.kernel.
 exception,com.liferay.portal.kernel.json,com.liferay.portal.kernel.lo
 ck,com.liferay.portal.kernel.model,com.liferay.portal.kernel.reposito
 ry.capabilities,com.liferay.portal.kernel.security.permission,com.lif
 eray.portal.kernel.util",com.liferay.portal.kernel.repository.proxy;v
 ersion="3.0.0";uses:="com.liferay.asset.kernel.service,com.liferay.do
 cument.library.kernel.model,com.liferay.document.library.kernel.servi
 ce,com.liferay.expando.kernel.model,com.liferay.exportimport.kernel.l
 ar,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.lock
 ,com.liferay.portal.kernel.repository,com.liferay.portal.kernel.repos
 itory.capabilities,com.liferay.portal.kernel.repository.model,com.lif
 eray.portal.kernel.search,com.liferay.portal.kernel.security.permissi
 on,com.liferay.portal.kernel.service,com.liferay.portal.kernel.util",
 com.liferay.portal.kernel.repository.registry;version="1.1.0";uses:="
 com.liferay.portal.kernel.repository,com.liferay.portal.kernel.reposi
 tory.capabilities,com.liferay.portal.kernel.repository.event",com.lif
 eray.portal.kernel.repository.search;version="7.0.0";uses:="com.lifer
 ay.portal.kernel.search",com.liferay.portal.kernel.repository.util;ve
 rsion="2.0.0";uses:="com.liferay.portal.kernel.repository.model",com.
 liferay.portal.kernel.resiliency;version="6.2.0",com.liferay.portal.k
 ernel.resiliency.mpi;version="6.3.0";uses:="com.liferay.portal.kernel
 .nio.intraband,com.liferay.portal.kernel.resiliency.spi,com.liferay.p
 ortal.kernel.resiliency.spi.provider",com.liferay.portal.kernel.resil
 iency.spi;version="6.3.0";uses:="com.liferay.portal.kernel.nio.intrab
 and,com.liferay.portal.kernel.resiliency.mpi,com.liferay.portal.kerne
 l.resiliency.spi.agent,com.liferay.portal.kernel.xml",com.liferay.por
 tal.kernel.resiliency.spi.agent;version="6.2.0";uses:="com.liferay.po
 rtal.kernel.nio.intraband,com.liferay.portal.kernel.resiliency,com.li
 feray.portal.kernel.resiliency.spi,javax.servlet.http",com.liferay.po
 rtal.kernel.resiliency.spi.agent.annotation;version="6.2.0",com.lifer
 ay.portal.kernel.resiliency.spi.cache;version="1.0.0";uses:="com.life
 ray.portal.kernel.cache",com.liferay.portal.kernel.resiliency.spi.pro
 vider;version="6.2.0";uses:="com.liferay.portal.kernel.nio.intraband,
 com.liferay.portal.kernel.nio.intraband.welder,com.liferay.portal.ker
 nel.resiliency,com.liferay.portal.kernel.resiliency.spi,com.liferay.p
 ortal.kernel.resiliency.spi.remote",com.liferay.portal.kernel.resilie
 ncy.spi.remote;version="7.0.0";uses:="com.liferay.portal.kernel.nio.i
 ntraband,com.liferay.portal.kernel.nio.intraband.welder,com.liferay.p
 ortal.kernel.process,com.liferay.portal.kernel.process.local,com.life
 ray.portal.kernel.resiliency.mpi,com.liferay.portal.kernel.resiliency
 .spi,com.liferay.portal.kernel.resiliency.spi.agent",com.liferay.port
 al.kernel.resource;version="6.3.0",com.liferay.portal.kernel.resource
 .bundle;version="1.0.0",com.liferay.portal.kernel.resource.manager;ve
 rsion="1.0.0";uses:="com.liferay.portal.kernel.resource",com.liferay.
 portal.kernel.sanitizer;version="8.0.0";uses:="com.liferay.portal.ker
 nel.exception",com.liferay.portal.kernel.scheduler;version="9.1.0";us
 es:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.me
 ssaging,com.liferay.portal.kernel.messaging.proxy,com.liferay.portal.
 kernel.scheduler.messaging,com.liferay.portal.kernel.util,javax.portl
 et",com.liferay.portal.kernel.scheduler.config;version="7.0.0";uses:=
 "com.liferay.portal.kernel.scheduler",com.liferay.portal.kernel.sched
 uler.messaging;version="8.0.0";uses:="com.liferay.portal.kernel.messa
 ging,com.liferay.portal.kernel.scheduler",com.liferay.portal.kernel.s
 cripting;version="8.0.0";uses:="com.liferay.portal.kernel.exception,j
 avax.portlet",com.liferay.portal.kernel.search;version="9.6.0";uses:=
 "com.liferay.asset.kernel.model,com.liferay.expando.kernel.model,com.
 liferay.petra.lang,com.liferay.petra.string,com.liferay.portal.kernel
 .backgroundtask,com.liferay.portal.kernel.comment,com.liferay.portal.
 kernel.exception,com.liferay.portal.kernel.json,com.liferay.portal.ke
 rnel.messaging,com.liferay.portal.kernel.messaging.proxy,com.liferay.
 portal.kernel.model,com.liferay.portal.kernel.portlet,com.liferay.por
 tal.kernel.repository.model,com.liferay.portal.kernel.search.facet,co
 m.liferay.portal.kernel.search.filter,com.liferay.portal.kernel.searc
 h.geolocation,com.liferay.portal.kernel.search.messaging,com.liferay.
 portal.kernel.search.query,com.liferay.portal.kernel.search.suggest,c
 om.liferay.portal.kernel.security.permission,com.liferay.portal.kerne
 l.theme,com.liferay.portal.kernel.util,com.liferay.portal.kernel.xml,
 javax.portlet,javax.servlet.http",com.liferay.portal.kernel.search.an
 alysis;version="2.0.0";uses:="com.liferay.portal.kernel.search",com.l
 iferay.portal.kernel.search.background.task;version="2.0.0",com.lifer
 ay.portal.kernel.search.dummy;version="3.0.0";uses:="com.liferay.port
 al.kernel.search,com.liferay.portal.kernel.search.filter,com.liferay.
 portal.kernel.search.suggest,com.liferay.portal.kernel.security.permi
 ssion,javax.portlet",com.liferay.portal.kernel.search.facet;version="
 8.0.0";uses:="com.liferay.portal.kernel.json,com.liferay.portal.kerne
 l.search,com.liferay.portal.kernel.search.facet.collector,com.liferay
 .portal.kernel.search.facet.config,com.liferay.portal.kernel.search.f
 acet.util,com.liferay.portal.kernel.search.filter",com.liferay.portal
 .kernel.search.facet.collector;version="6.3.0",com.liferay.portal.ker
 nel.search.facet.config;version="8.0.0";uses:="com.liferay.portal.ker
 nel.json",com.liferay.portal.kernel.search.facet.faceted.searcher;ver
 sion="2.0.0";uses:="com.liferay.portal.kernel.search",com.liferay.por
 tal.kernel.search.facet.util;version="7.0.0";uses:="com.liferay.porta
 l.kernel.search,com.liferay.portal.kernel.search.facet",com.liferay.p
 ortal.kernel.search.filter;version="1.0.0";uses:="com.liferay.portal.
 kernel.search,com.liferay.portal.kernel.search.geolocation",com.lifer
 ay.portal.kernel.search.generic;version="3.0.0";uses:="com.liferay.po
 rtal.kernel.search,com.liferay.portal.kernel.search.filter,com.lifera
 y.portal.kernel.search.query",com.liferay.portal.kernel.search.geoloc
 ation;version="1.0.0",com.liferay.portal.kernel.search.highlight;vers
 ion="1.0.0";uses:="com.liferay.portal.kernel.search",com.liferay.port
 al.kernel.search.hits;version="2.0.0";uses:="com.liferay.portal.kerne
 l.search",com.liferay.portal.kernel.search.messaging;version="7.0.0";
 uses:="com.liferay.portal.kernel.messaging.proxy,com.liferay.portal.k
 ernel.search",com.liferay.portal.kernel.search.query;version="1.0.0";
 uses:="com.liferay.portal.kernel.search,com.liferay.portal.kernel.sea
 rch.generic",com.liferay.portal.kernel.search.queue;version="3.0.0";u
 ses:="com.liferay.portal.kernel.search",com.liferay.portal.kernel.sea
 rch.reindexer;version="1.0.0",com.liferay.portal.kernel.search.result
 ;version="1.0.0";uses:="com.liferay.portal.kernel.exception,com.lifer
 ay.portal.kernel.search,javax.portlet",com.liferay.portal.kernel.sear
 ch.suggest;version="2.0.0";uses:="com.liferay.portal.kernel.messaging
 .proxy,com.liferay.portal.kernel.search",com.liferay.portal.kernel.se
 curity;version="6.2.0",com.liferay.portal.kernel.security.access.cont
 rol;version="2.0.0";uses:="com.liferay.portal.kernel.exception,com.li
 feray.portal.kernel.security.auth,com.liferay.portal.kernel.security.
 auth.verifier,javax.servlet.http",com.liferay.portal.kernel.security.
 auth;version="2.6.0";uses:="com.liferay.petra.lang,com.liferay.portal
 .kernel.exception,com.liferay.portal.kernel.model,com.liferay.portal.
 kernel.portlet,com.liferay.portal.kernel.security.auth.verifier,com.l
 iferay.portal.kernel.security.permission,com.liferay.registry,com.lif
 eray.registry.collections,javax.servlet.http",com.liferay.portal.kern
 el.security.auth.http;version="1.1.0";uses:="com.liferay.portal.kerne
 l.exception,javax.servlet.http",com.liferay.portal.kernel.security.au
 th.session;version="1.0.0";uses:="com.liferay.portal.kernel.exception
 ,javax.servlet.http",com.liferay.portal.kernel.security.auth.tunnel;v
 ersion="1.0.0";uses:="com.liferay.portal.kernel.security.auth,javax.s
 ervlet.http",com.liferay.portal.kernel.security.auth.verifier;version
 ="1.1.0";uses:="com.liferay.portal.kernel.security.auth",com.liferay.
 portal.kernel.security.auto.login;version="2.0.0";uses:="com.liferay.
 portal.kernel.exception,javax.servlet.http",com.liferay.portal.kernel
 .security.exportimport;version="1.0.0",com.liferay.portal.kernel.secu
 rity.jaas;version="6.2.0";uses:="com.liferay.portal.kernel.servlet,ja
 vax.security.auth,javax.security.auth.callback,javax.security.auth.lo
 gin,javax.security.auth.spi",com.liferay.portal.kernel.security.ldap;
 version="1.0.0";uses:="javax.naming.directory",com.liferay.portal.ker
 nel.security.membershippolicy;version="1.0.0";uses:="com.liferay.asse
 t.kernel.model,com.liferay.portal.kernel.exception,com.liferay.portal
 .kernel.model,com.liferay.portal.kernel.security.permission,com.lifer
 ay.portal.kernel.util",com.liferay.portal.kernel.security.permission;
 version="3.4.0";uses:="com.liferay.petra.sql.dsl,com.liferay.petra.sq
 l.dsl.expression,com.liferay.petra.sql.dsl.query,com.liferay.portal.k
 ernel.exception,com.liferay.portal.kernel.model,com.liferay.portal.ke
 rnel.security.permission.contributor,com.liferay.portal.kernel.securi
 ty.permission.propagator,com.liferay.portal.kernel.xml,javax.servlet.
 http",com.liferay.portal.kernel.security.permission.comparator;versio
 n="1.0.0",com.liferay.portal.kernel.security.permission.contributor;v
 ersion="1.0.0";uses:="com.liferay.portal.kernel.model,com.liferay.por
 tal.kernel.security.permission",com.liferay.portal.kernel.security.pe
 rmission.propagator;version="1.0.0";uses:="com.liferay.portal.kernel.
 exception,javax.portlet",com.liferay.portal.kernel.security.permissio
 n.resource;version="1.1.0";uses:="com.liferay.exportimport.kernel.sta
 ging.permission,com.liferay.petra.function,com.liferay.portal.kernel.
 exception,com.liferay.portal.kernel.model,com.liferay.portal.kernel.s
 ecurity.auth,com.liferay.portal.kernel.security.permission,com.lifera
 y.portal.kernel.service,com.liferay.portal.kernel.workflow.permission
 ",com.liferay.portal.kernel.security.permission.resource.definition;v
 ersion="1.0.1";uses:="com.liferay.portal.kernel.exception,com.liferay
 .portal.kernel.model,com.liferay.portal.kernel.security.permission.re
 source",com.liferay.portal.kernel.security.permission.wrapper;version
 ="1.0.0";uses:="com.liferay.portal.kernel.model,com.liferay.portal.ke
 rnel.security.permission,com.liferay.portal.kernel.security.permissio
 n.contributor",com.liferay.portal.kernel.security.pwd;version="2.0.0"
 ;uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel
 .model",com.liferay.portal.kernel.security.service.access.policy;vers
 ion="1.1.0",com.liferay.portal.kernel.security.sso;version="1.0.0";us
 es:="javax.servlet.http",com.liferay.portal.kernel.security.xml;versi
 on="1.0.0";uses:="javax.xml.parsers,javax.xml.stream,org.xml.sax",com
 .liferay.portal.kernel.service;version="4.16.0";uses:="com.liferay.an
 nouncements.kernel.model,com.liferay.expando.kernel.model,com.liferay
 .exportimport.kernel.lar,com.liferay.petra.function,com.liferay.petra
 .sql.dsl.query,com.liferay.portal.kernel.cache.thread.local,com.lifer
 ay.portal.kernel.change.tracking,com.liferay.portal.kernel.cluster,co
 m.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.json,com.liferay.portal.kernel.jsonwebservic
 e,com.liferay.portal.kernel.messaging.async,com.liferay.portal.kernel
 .model,com.liferay.portal.kernel.notifications,com.liferay.portal.ker
 nel.plugin,com.liferay.portal.kernel.portlet,com.liferay.portal.kerne
 l.repository.model,com.liferay.portal.kernel.search,com.liferay.porta
 l.kernel.security.access.control,com.liferay.portal.kernel.security.a
 uth,com.liferay.portal.kernel.security.permission,com.liferay.portal.
 kernel.service.change.tracking,com.liferay.portal.kernel.service.conf
 iguration,com.liferay.portal.kernel.service.permission,com.liferay.po
 rtal.kernel.service.persistence,com.liferay.portal.kernel.service.per
 sistence.change.tracking,com.liferay.portal.kernel.settings,com.lifer
 ay.portal.kernel.spring.aop,com.liferay.portal.kernel.systemevent,com
 .liferay.portal.kernel.theme,com.liferay.portal.kernel.transaction,co
 m.liferay.portal.kernel.upgrade,com.liferay.portal.kernel.upload,com.
 liferay.portal.kernel.util,com.liferay.portal.kernel.xml,javax.portle
 t,javax.servlet,javax.servlet.http",com.liferay.portal.kernel.service
 .change.tracking;version="1.0.0";uses:="com.liferay.petra.function,co
 m.liferay.portal.kernel.model.change.tracking,com.liferay.portal.kern
 el.service.persistence.change.tracking,com.liferay.portal.kernel.tran
 saction",com.liferay.portal.kernel.service.configuration;version="1.1
 .1",com.liferay.portal.kernel.service.configuration.servlet;version="
 1.1.0";uses:="com.liferay.portal.kernel.service.configuration,javax.s
 ervlet",com.liferay.portal.kernel.service.http;version="1.0.0";uses:=
 "com.liferay.portal.kernel.security.auth,com.liferay.portal.kernel.ut
 il",com.liferay.portal.kernel.service.permission;version="2.0.0";uses
 :="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mode
 l,com.liferay.portal.kernel.security.auth,com.liferay.portal.kernel.s
 ecurity.permission,javax.portlet,javax.servlet.http",com.liferay.port
 al.kernel.service.persistence;version="6.6.0";uses:="com.liferay.petr
 a.sql.dsl.query,com.liferay.portal.kernel.dao.orm,com.liferay.portal.
 kernel.exception,com.liferay.portal.kernel.model,com.liferay.portal.k
 ernel.service,com.liferay.portal.kernel.service.persistence.change.tr
 acking,com.liferay.portal.kernel.util,javax.sql",com.liferay.portal.k
 ernel.service.persistence.change.tracking;version="1.3.0";uses:="com.
 liferay.portal.kernel.change.tracking,com.liferay.portal.kernel.model
 .change.tracking,com.liferay.portal.kernel.service.persistence",com.l
 iferay.portal.kernel.service.persistence.change.tracking.helper;versi
 on="1.0.0";uses:="com.liferay.portal.kernel.model.change.tracking",co
 m.liferay.portal.kernel.service.persistence.impl;version="3.2.0";uses
 :="com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.query,com.life
 ray.petra.string,com.liferay.portal.kernel.configuration,com.liferay.
 portal.kernel.dao.db,com.liferay.portal.kernel.dao.orm,com.liferay.po
 rtal.kernel.exception,com.liferay.portal.kernel.model,com.liferay.por
 tal.kernel.service,com.liferay.portal.kernel.service.persistence,com.
 liferay.portal.kernel.util,javax.sql",com.liferay.portal.kernel.servi
 ce.version;version="1.1.0";uses:="com.liferay.portal.kernel.exception
 ,com.liferay.portal.kernel.model.version",com.liferay.portal.kernel.s
 ervlet;version="8.5.0";uses:="com.liferay.portal.kernel.log,com.lifer
 ay.portal.kernel.util,javax.portlet,javax.servlet,javax.servlet.http"
 ,com.liferay.portal.kernel.servlet.filters.compoundsessionid;version=
 "7.0.0";uses:="com.liferay.portal.kernel.servlet,javax.servlet.http",
 com.liferay.portal.kernel.servlet.filters.invoker;version="9.0.0";use
 s:="com.liferay.portal.kernel.util,javax.servlet,javax.servlet.http",
 com.liferay.portal.kernel.servlet.taglib;version="7.0.0";uses:="com.l
 iferay.portal.kernel.log,com.liferay.portal.kernel.util,javax.servlet
 ,javax.servlet.http",com.liferay.portal.kernel.servlet.taglib.aui;ver
 sion="8.1.0";uses:="com.liferay.portal.kernel.util",com.liferay.porta
 l.kernel.servlet.taglib.ui;version="6.7.0";uses:="com.liferay.portal.
 kernel.exception,com.liferay.portal.kernel.model,com.liferay.portal.k
 ernel.theme,com.liferay.portal.kernel.util,javax.servlet,javax.servle
 t.http",com.liferay.portal.kernel.servlet.taglib.util;version="7.0.0"
 ;uses:="com.liferay.petra.string,com.liferay.portal.kernel.util",com.
 liferay.portal.kernel.settings;version="3.1.0";uses:="com.liferay.por
 tal.kernel.exception,com.liferay.portal.kernel.model,com.liferay.port
 al.kernel.resource.manager,javax.portlet",com.liferay.portal.kernel.s
 ettings.definition;version="1.0.0",com.liferay.portal.kernel.social;v
 ersion="1.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay
 .portal.kernel.model,com.liferay.social.kernel.service",com.liferay.p
 ortal.kernel.spring.aop;version="7.0.0";uses:="com.liferay.portal.ker
 nel.service",com.liferay.portal.kernel.spring.orm;version="1.0.0",com
 .liferay.portal.kernel.spring.osgi;version="2.0.0",com.liferay.portal
 .kernel.spring.util;version="7.0.0",com.liferay.portal.kernel.struts;
 version="8.0.0";uses:="javax.servlet.http",com.liferay.portal.kernel.
 systemevent;version="6.2.0",com.liferay.portal.kernel.template;versio
 n="9.1.0";uses:="com.liferay.dynamic.data.mapping.kernel,com.liferay.
 portal.kernel.cache,com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.xml,javax.servlet,javax.servlet.http",com.liferay.portal
 .kernel.template.comparator;version="6.2.0";uses:="com.liferay.portal
 .kernel.template",com.liferay.portal.kernel.templateparser;version="7
 .1.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.k
 ernel.theme,com.liferay.portal.kernel.xml",com.liferay.portal.kernel.
 terms.of.use;version="1.0.1";uses:="javax.servlet.http",com.liferay.p
 ortal.kernel.theme;version="3.1.0";uses:="com.liferay.mobile.device.r
 ules.kernel,com.liferay.portal.kernel.exception,com.liferay.portal.ke
 rnel.json,com.liferay.portal.kernel.mobile.device,com.liferay.portal.
 kernel.model,com.liferay.portal.kernel.module.configuration,com.lifer
 ay.portal.kernel.portlet.configuration.icon,com.liferay.portal.kernel
 .portlet.toolbar,com.liferay.portal.kernel.security.permission,com.li
 feray.portal.kernel.util,javax.portlet,javax.servlet.http",com.lifera
 y.portal.kernel.transaction;version="8.1.0",com.liferay.portal.kernel
 .trash;version="9.0.0";uses:="com.liferay.asset.kernel.model,com.life
 ray.portal.kernel.exception,com.liferay.portal.kernel.model,com.lifer
 ay.portal.kernel.search,com.liferay.portal.kernel.search.filter,com.l
 iferay.portal.kernel.security.permission,com.liferay.portal.kernel.se
 rvice,com.liferay.portal.kernel.util,com.liferay.trash.kernel.model,j
 avax.portlet,javax.servlet,javax.servlet.http",com.liferay.portal.ker
 nel.tree;version="2.1.1";uses:="com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.model",com.liferay.portal.kernel.upgrade;ver
 sion="8.5.0";uses:="com.liferay.portal.kernel.dao.db,com.liferay.port
 al.kernel.exception,com.liferay.portal.kernel.resource.bundle,com.lif
 eray.portal.kernel.service,com.liferay.portal.kernel.upgrade.util,com
 .liferay.portal.kernel.upgrade.v6_2_0,com.liferay.portal.kernel.util,
 com.liferay.portal.kernel.xml,javax.portlet",com.liferay.portal.kerne
 l.upgrade.util;version="7.1.0";uses:="com.liferay.portal.kernel.model
 ,com.liferay.portal.kernel.upgrade,com.liferay.portal.kernel.version"
 ,com.liferay.portal.kernel.upgrade.v6_2_0;version="8.3.0";uses:="com.
 liferay.portal.kernel.upgrade",com.liferay.portal.kernel.upload;versi
 on="8.1.0";uses:="com.liferay.portal.kernel.exception,javax.portlet,j
 avax.servlet.http",com.liferay.portal.kernel.url;version="1.0.0";uses
 :="javax.servlet",com.liferay.portal.kernel.util;version="10.28.0";us
 es:="com.liferay.expando.kernel.model,com.liferay.mail.kernel.model,c
 om.liferay.petra.process,com.liferay.petra.sql.dsl.query.sort,com.lif
 eray.portal.kernel.configuration,com.liferay.portal.kernel.dao.jdbc.a
 op,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.grou
 p.capability,com.liferay.portal.kernel.io,com.liferay.portal.kernel.i
 o.unsync,com.liferay.portal.kernel.json,com.liferay.portal.kernel.mod
 el,com.liferay.portal.kernel.portlet,com.liferay.portal.kernel.reposi
 tory.model,com.liferay.portal.kernel.resource.bundle,com.liferay.port
 al.kernel.security.permission,com.liferay.portal.kernel.service,com.l
 iferay.portal.kernel.settings,com.liferay.portal.kernel.spring.osgi,c
 om.liferay.portal.kernel.theme,com.liferay.portal.kernel.upload,com.l
 iferay.portal.kernel.xml,javax.mail,javax.mail.internet,javax.portlet
 ,javax.servlet,javax.servlet.http,javax.sql",com.liferay.portal.kerne
 l.util.comparator;version="3.1.0";uses:="com.liferay.portal.kernel.mo
 del,com.liferay.portal.kernel.portlet.configuration.icon,com.liferay.
 portal.kernel.util,javax.servlet",com.liferay.portal.kernel.uuid;vers
 ion="6.2.0",com.liferay.portal.kernel.verify.model;version="2.0.0",co
 m.liferay.portal.kernel.version;version="1.0.0",com.liferay.portal.ke
 rnel.view.count;version="1.1.0";uses:="com.liferay.portal.kernel.exce
 ption",com.liferay.portal.kernel.webcache;version="6.2.0";uses:="com.
 liferay.portal.kernel.exception",com.liferay.portal.kernel.webdav;ver
 sion="8.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.lock,com.liferay.portal.kernel.model,com.liferay.portal.
 kernel.security.permission,com.liferay.portal.kernel.webdav.methods,c
 om.liferay.portal.kernel.xml,javax.servlet.http",com.liferay.portal.k
 ernel.webdav.methods;version="6.2.0";uses:="com.liferay.portal.kernel
 .webdav,javax.servlet.http",com.liferay.portal.kernel.webserver;versi
 on="1.0.0",com.liferay.portal.kernel.words;version="1.0.2";uses:="com
 .liferay.portal.kernel.jazzy",com.liferay.portal.kernel.workflow;vers
 ion="9.5.0";uses:="com.liferay.asset.kernel.model,com.liferay.portal.
 kernel.exception,com.liferay.portal.kernel.messaging.proxy,com.lifera
 y.portal.kernel.model,com.liferay.portal.kernel.portlet,com.liferay.p
 ortal.kernel.service,com.liferay.portal.kernel.util,com.liferay.porta
 l.kernel.workflow.search,javax.portlet,javax.servlet.http",com.lifera
 y.portal.kernel.workflow.comparator;version="7.3.0";uses:="com.lifera
 y.portal.kernel.messaging.proxy,com.liferay.portal.kernel.util,com.li
 feray.portal.kernel.workflow",com.liferay.portal.kernel.workflow.mess
 aging;version="7.0.0";uses:="com.liferay.portal.kernel.messaging",com
 .liferay.portal.kernel.workflow.permission;version="7.0.0";uses:="com
 .liferay.portal.kernel.security.permission",com.liferay.portal.kernel
 .workflow.search;version="1.0.0";uses:="com.liferay.portal.kernel.wor
 kflow",com.liferay.portal.kernel.xml;version="7.0.2";uses:="org.xml.s
 ax",com.liferay.portal.kernel.xml.simple;version="6.2.0",com.liferay.
 portal.kernel.xmlrpc;version="6.2.0";uses:="com.liferay.portal.kernel
 .exception",com.liferay.portal.kernel.xuggler;version="7.0.0";uses:="
 com.liferay.portal.kernel.exception",com.liferay.portal.kernel.zip;ve
 rsion="6.4.2",com.liferay.portlet.configuration.kernel.util;version="
 1.0.0";uses:="javax.portlet",com.liferay.ratings.kernel;version="1.2.
 0",com.liferay.ratings.kernel.definition;version="1.1.0";uses:="com.l
 iferay.portal.kernel.exception,com.liferay.ratings.kernel",com.lifera
 y.ratings.kernel.display.context;version="1.0.0";uses:="com.liferay.p
 ortal.kernel.util,com.liferay.ratings.kernel,javax.portlet,javax.serv
 let.http",com.liferay.ratings.kernel.exception;version="1.0.0";uses:=
 "com.liferay.portal.kernel.exception",com.liferay.ratings.kernel.mode
 l;version="2.4.0";uses:="com.liferay.exportimport.kernel.lar,com.life
 ray.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.k
 ernel.annotation,com.liferay.portal.kernel.bean,com.liferay.portal.ke
 rnel.model,com.liferay.portal.kernel.model.change.tracking,com.lifera
 y.portal.kernel.model.wrapper,com.liferay.portal.kernel.util",com.lif
 eray.ratings.kernel.service;version="2.5.0";uses:="com.liferay.export
 import.kernel.lar,com.liferay.petra.function,com.liferay.petra.sql.ds
 l.query,com.liferay.portal.kernel.change.tracking,com.liferay.portal.
 kernel.dao.orm,com.liferay.portal.kernel.exception,com.liferay.portal
 .kernel.jsonwebservice,com.liferay.portal.kernel.model,com.liferay.po
 rtal.kernel.search,com.liferay.portal.kernel.security.access.control,
 com.liferay.portal.kernel.service,com.liferay.portal.kernel.service.c
 hange.tracking,com.liferay.portal.kernel.service.persistence.change.t
 racking,com.liferay.portal.kernel.systemevent,com.liferay.portal.kern
 el.transaction,com.liferay.portal.kernel.util,com.liferay.ratings.ker
 nel.model",com.liferay.ratings.kernel.service.persistence;version="4.
 1.0";uses:="com.liferay.portal.kernel.dao.orm,com.liferay.portal.kern
 el.service,com.liferay.portal.kernel.service.persistence,com.liferay.
 portal.kernel.service.persistence.change.tracking,com.liferay.portal.
 kernel.util,com.liferay.ratings.kernel.exception,com.liferay.ratings.
 kernel.model",com.liferay.ratings.kernel.transformer;version="1.0.0";
 uses:="com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.ex
 ception,com.liferay.portal.kernel.util,com.liferay.ratings.kernel,com
 .liferay.ratings.kernel.model,javax.portlet",com.liferay.roles.admin.
 kernel.util;version="2.0.0";uses:="com.liferay.portal.kernel.model",c
 om.liferay.sites.kernel.util;version="1.3.0";uses:="com.liferay.porta
 l.kernel.exception,com.liferay.portal.kernel.model,com.liferay.portal
 .kernel.security.permission,com.liferay.portal.kernel.service,javax.p
 ortlet,javax.servlet.http",com.liferay.social.kernel.exception;versio
 n="1.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.soc
 ial.kernel.model;version="3.4.0";uses:="com.liferay.asset.kernel.mode
 l,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.lifera
 y.portal.kernel.annotation,com.liferay.portal.kernel.bean,com.liferay
 .portal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.p
 ortal.kernel.model,com.liferay.portal.kernel.model.change.tracking,co
 m.liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel.resou
 rce.bundle,com.liferay.portal.kernel.security.permission,com.liferay.
 portal.kernel.service,com.liferay.portal.kernel.theme,com.liferay.por
 tal.kernel.util",com.liferay.social.kernel.model.impl;version="1.0.0"
 ;uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel
 .security.permission,com.liferay.portal.kernel.service,com.liferay.po
 rtal.kernel.theme,com.liferay.social.kernel.model",com.liferay.social
 .kernel.service;version="1.8.0";uses:="com.liferay.asset.kernel.model
 ,com.liferay.petra.function,com.liferay.petra.sql.dsl.query,com.lifer
 ay.portal.kernel.change.tracking,com.liferay.portal.kernel.dao.orm,co
 m.liferay.portal.kernel.exception,com.liferay.portal.kernel.json,com.
 liferay.portal.kernel.jsonwebservice,com.liferay.portal.kernel.messag
 ing.async,com.liferay.portal.kernel.model,com.liferay.portal.kernel.s
 earch,com.liferay.portal.kernel.security.access.control,com.liferay.p
 ortal.kernel.service,com.liferay.portal.kernel.service.change.trackin
 g,com.liferay.portal.kernel.service.persistence.change.tracking,com.l
 iferay.portal.kernel.theme,com.liferay.portal.kernel.transaction,com.
 liferay.portal.kernel.util,com.liferay.social.kernel.model",com.lifer
 ay.social.kernel.service.permission;version="1.0.0";uses:="com.lifera
 y.portal.kernel.exception,com.liferay.portal.kernel.security.permissi
 on",com.liferay.social.kernel.service.persistence;version="4.1.0";use
 s:="com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.servi
 ce,com.liferay.portal.kernel.service.persistence,com.liferay.portal.k
 ernel.service.persistence.change.tracking,com.liferay.portal.kernel.u
 til,com.liferay.social.kernel.exception,com.liferay.social.kernel.mod
 el",com.liferay.social.kernel.util;version="1.0.0";uses:="com.liferay
 .portal.kernel.service,com.liferay.social.kernel.model,javax.servlet.
 http",com.liferay.social.kernel.util.comparator;version="1.1.0";uses:
 ="com.liferay.portal.kernel.util,com.liferay.social.kernel.model",com
 .liferay.trash.kernel.exception;version="1.1.0";uses:="com.liferay.po
 rtal.kernel.exception",com.liferay.trash.kernel.model;version="1.1.0"
 ;uses:="com.liferay.expando.kernel.model,com.liferay.portal.kernel.an
 notation,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.mod
 el,com.liferay.portal.kernel.service,com.liferay.portal.kernel.util",
 com.liferay.trash.kernel.service;version="1.4.1";uses:="com.liferay.p
 ortal.kernel.change.tracking,com.liferay.portal.kernel.dao.orm,com.li
 feray.portal.kernel.exception,com.liferay.portal.kernel.jsonwebservic
 e,com.liferay.portal.kernel.model,com.liferay.portal.kernel.search,co
 m.liferay.portal.kernel.security.access.control,com.liferay.portal.ke
 rnel.security.auth,com.liferay.portal.kernel.service,com.liferay.port
 al.kernel.transaction,com.liferay.portal.kernel.util,com.liferay.tras
 h.kernel.model",com.liferay.trash.kernel.service.persistence;version=
 "1.3.0";uses:="com.liferay.portal.kernel.dao.orm,com.liferay.portal.k
 ernel.service,com.liferay.portal.kernel.service.persistence,com.lifer
 ay.portal.kernel.util,com.liferay.trash.kernel.exception,com.liferay.
 trash.kernel.model",com.liferay.trash.kernel.util;version="1.0.2";use
 s:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mod
 el,com.liferay.portal.kernel.portlet,com.liferay.portal.kernel.search
 ,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.util,com.l
 iferay.trash.kernel.model,javax.portlet,javax.servlet.http",com.lifer
 ay.trash.kernel.util.comparator;version="1.1.0";uses:="com.liferay.po
 rtal.kernel.util,com.liferay.trash.kernel.model",com.liferay.users.ad
 min.kernel.file.uploads;version="1.0.1",com.liferay.users.admin.kerne
 l.organization.types;version="1.0.1",com.liferay.users.admin.kernel.u
 til;version="2.0.0";uses:="com.liferay.portal.kernel.exception,com.li
 feray.portal.kernel.model,com.liferay.portal.kernel.search,com.lifera
 y.portal.kernel.security.permission,com.liferay.portal.kernel.util,ja
 vax.portlet,javax.servlet.http"
Git-Descriptor: 67fe245ef44bf-dirty
Git-SHA: 67fe245ef44bf2bb4575d9bcf32864daf638cd2d
Import-Package: com.liferay.announcements.kernel.exception;version="[1
 .0,2)",com.liferay.announcements.kernel.model;version="[2.2,2.3)",com
 .liferay.asset.kernel;version="[1.1,2)",com.liferay.asset.kernel.exce
 ption;version="[2.0,3)",com.liferay.asset.kernel.model;version="[3.5,
 3.6)",com.liferay.asset.kernel.service;version="[2.10,2.11)",com.life
 ray.asset.kernel.service.persistence;version="[3.5,4)",com.liferay.co
 unter.kernel.service;version="[2.0,2.1)",com.liferay.document.library
 .kernel.exception;version="[3.1,4)",com.liferay.document.library.kern
 el.model;version="[3.2,3.3)",com.liferay.document.library.kernel.serv
 ice;version="[3.6,3.7)",com.liferay.document.library.kernel.store;ver
 sion="[2.1,3)",com.liferay.document.library.kernel.util;version="[2.0
 ,3)",com.liferay.dynamic.data.mapping.kernel;version="[1.4,2)",com.li
 feray.expando.kernel.exception;version="[1.1,2)",com.liferay.expando.
 kernel.model;version="[3.3,3.4)",com.liferay.expando.kernel.util;vers
 ion="[2.0,3)",com.liferay.exportimport.kernel.exception;version="[1.3
 ,2)",com.liferay.exportimport.kernel.lar;version="[3.4,4)",com.lifera
 y.exportimport.kernel.lifecycle;version="[2.0,3)",com.liferay.exporti
 mport.kernel.model;version="[2.2,2.3)",com.liferay.exportimport.kerne
 l.service;version="[2.5,2.6)",com.liferay.exportimport.kernel.staging
 ;version="[2.2,3)",com.liferay.exportimport.kernel.staging.permission
 ;version="[1.0,2)",com.liferay.layout.admin.kernel.model;version="[1.
 0,2)",com.liferay.mail.kernel.model;version="[1.1,2)",com.liferay.mai
 l.kernel.service;version="[1.0,2)",com.liferay.mail.kernel.template;v
 ersion="[2.0,3)",com.liferay.mobile.device.rules.kernel;version="[1.0
 ,2)",com.liferay.petra.concurrent,com.liferay.petra.executor,com.life
 ray.petra.function,com.liferay.petra.io,com.liferay.petra.io.unsync,c
 om.liferay.petra.lang,com.liferay.petra.memory,com.liferay.petra.nio,
 com.liferay.petra.process,com.liferay.petra.reflect,com.liferay.petra
 .sql.dsl,com.liferay.petra.sql.dsl.ast,com.liferay.petra.sql.dsl.base
 ,com.liferay.petra.sql.dsl.expression,com.liferay.petra.sql.dsl.query
 ,com.liferay.petra.sql.dsl.query.sort,com.liferay.petra.sql.dsl.spi.a
 st,com.liferay.petra.sql.dsl.spi.expression,com.liferay.petra.sql.dsl
 .spi.query,com.liferay.petra.string,com.liferay.portal.kernel.annotat
 ion;version="[7.0,8)",com.liferay.portal.kernel.application.type;vers
 ion="[1.0,2)",com.liferay.portal.kernel.atom;version="[7.0,8)",com.li
 feray.portal.kernel.backgroundtask;version="[8.0,9)",com.liferay.port
 al.kernel.backgroundtask.display;version="[2.0,2.1)",com.liferay.port
 al.kernel.bean;version="[8.0,9)",com.liferay.portal.kernel.cache;vers
 ion="[9.1,9.2)",com.liferay.portal.kernel.cache.key;version="[6.3,7)"
 ,com.liferay.portal.kernel.cache.thread.local;version="[2.0,3)",com.l
 iferay.portal.kernel.change.tracking;version="[1.2,2)",com.liferay.po
 rtal.kernel.cluster;version="[8.0,9)",com.liferay.portal.kernel.comme
 nt;version="[3.0,3.1)",com.liferay.portal.kernel.concurrent;version="
 [8.0,9)",com.liferay.portal.kernel.configuration;version="[6.3,7)",co
 m.liferay.portal.kernel.dao.db;version="[7.9,8)",com.liferay.portal.k
 ernel.dao.jdbc.aop;version="[7.0,8)",com.liferay.portal.kernel.dao.or
 m;version="[9.7,9.8)",com.liferay.portal.kernel.dao.search;version="[
 8.0,9)",com.liferay.portal.kernel.deploy;version="[6.3,7)",com.lifera
 y.portal.kernel.deploy.auto.context;version="[6.3,7)",com.liferay.por
 tal.kernel.deploy.hot;version="[7.1,8)",com.liferay.portal.kernel.dis
 play.context;version="[1.0,2)",com.liferay.portal.kernel.exception;ve
 rsion="[9.5,10)",com.liferay.portal.kernel.group.capability;version="
 [1.0,2)",com.liferay.portal.kernel.image;version="[7.2,8)",com.lifera
 y.portal.kernel.increment;version="[7.0,8)",com.liferay.portal.kernel
 .io;version="[8.0,9)",com.liferay.portal.kernel.io.unsync;version="[7
 .0,8)",com.liferay.portal.kernel.jazzy;version="[1.0,2)",com.liferay.
 portal.kernel.jmx.model;version="[7.0,8)",com.liferay.portal.kernel.j
 ndi;version="[7.0,8)",com.liferay.portal.kernel.json;version="[8.10,9
 )",com.liferay.portal.kernel.jsonwebservice;version="[7.0,8)",com.lif
 eray.portal.kernel.language;version="[8.3,9)",com.liferay.portal.kern
 el.language.constants;version="[1.0,2)",com.liferay.portal.kernel.lay
 outconfiguration.util.xml;version="[1.0,2)",com.liferay.portal.kernel
 .license;version="[1.0,2)",com.liferay.portal.kernel.lock;version="[7
 .3,8)",com.liferay.portal.kernel.log;version="[7.0,8)",com.liferay.po
 rtal.kernel.management;version="[8.0,9)",com.liferay.portal.kernel.me
 ssaging;version="[9.1,10)",com.liferay.portal.kernel.messaging.async;
 version="[6.2,7)",com.liferay.portal.kernel.messaging.config;version=
 "[8.1,9)",com.liferay.portal.kernel.messaging.proxy;version="[8.1,9)"
 ,com.liferay.portal.kernel.messaging.sender;version="[8.0,9)",com.lif
 eray.portal.kernel.mobile.device;version="[9.0,9.1)",com.liferay.port
 al.kernel.model;version="[5.6,5.7)",com.liferay.portal.kernel.model.a
 dapter.builder;version="[1.0,2)",com.liferay.portal.kernel.model.chan
 ge.tracking;version="[1.0,2)",com.liferay.portal.kernel.model.impl;ve
 rsion="[3.4,4)",com.liferay.portal.kernel.model.portlet;version="[2.0
 ,3)",com.liferay.portal.kernel.model.version;version="[2.0,3)",com.li
 feray.portal.kernel.model.wrapper;version="[1.1,2)",com.liferay.porta
 l.kernel.module.configuration;version="[2.0,3)",com.liferay.portal.ke
 rnel.module.framework.service;version="[1.0,2)",com.liferay.portal.ke
 rnel.nio.intraband;version="[7.0,8)",com.liferay.portal.kernel.nio.in
 traband.blocking;version="[6.3,7)",com.liferay.portal.kernel.nio.intr
 aband.nonblocking;version="[6.3,7)",com.liferay.portal.kernel.nio.int
 raband.proxy.annotation;version="[1.0,2)",com.liferay.portal.kernel.n
 io.intraband.rpc;version="[7.0,8)",com.liferay.portal.kernel.nio.intr
 aband.welder;version="[6.2,7)",com.liferay.portal.kernel.nio.intraban
 d.welder.fifo;version="[6.2,7)",com.liferay.portal.kernel.nio.intraba
 nd.welder.socket;version="[6.2,7)",com.liferay.portal.kernel.notifica
 tions;version="[8.0,9)",com.liferay.portal.kernel.plugin;version="[6.
 4,7)",com.liferay.portal.kernel.poller;version="[7.0,8)",com.liferay.
 portal.kernel.pop;version="[6.3,7)",com.liferay.portal.kernel.portlet
 ;version="[10.4,10.5)",com.liferay.portal.kernel.portlet.bridges.mvc.
 constants;version="[1.0,2)",com.liferay.portal.kernel.portlet.configu
 ration.icon;version="[1.1,2)",com.liferay.portal.kernel.portlet.confi
 guration.icon.locator;version="[1.0,2)",com.liferay.portal.kernel.por
 tlet.toolbar;version="[1.0,2)",com.liferay.portal.kernel.portlet.tool
 bar.contributor;version="[1.1,2)",com.liferay.portal.kernel.portlet.t
 oolbar.contributor.locator;version="[1.0,2)",com.liferay.portal.kerne
 l.process;version="[8.0,9)",com.liferay.portal.kernel.process.local;v
 ersion="[2.0,3)",com.liferay.portal.kernel.repository;version="[9.1,1
 0)",com.liferay.portal.kernel.repository.capabilities;version="[2.0,2
 .1)",com.liferay.portal.kernel.repository.event;version="[1.1,2)",com
 .liferay.portal.kernel.repository.model;version="[8.0,8.1)",com.lifer
 ay.portal.kernel.repository.registry;version="[1.1,2)",com.liferay.po
 rtal.kernel.repository.search;version="[7.0,8)",com.liferay.portal.ke
 rnel.resiliency;version="[6.2,7)",com.liferay.portal.kernel.resilienc
 y.mpi;version="[6.3,7)",com.liferay.portal.kernel.resiliency.spi;vers
 ion="[6.3,7)",com.liferay.portal.kernel.resiliency.spi.agent;version=
 "[6.2,7)",com.liferay.portal.kernel.resiliency.spi.provider;version="
 [6.2,7)",com.liferay.portal.kernel.resiliency.spi.remote;version="[7.
 0,8)",com.liferay.portal.kernel.resource;version="[6.3,7)",com.lifera
 y.portal.kernel.resource.bundle;version="[1.0,1.1)",com.liferay.porta
 l.kernel.resource.manager;version="[1.0,2)",com.liferay.portal.kernel
 .scheduler;version="[9.1,10)",com.liferay.portal.kernel.scheduler.mes
 saging;version="[8.0,9)",com.liferay.portal.kernel.search;version="[9
 .6,9.7)",com.liferay.portal.kernel.search.background.task;version="[2
 .0,3)",com.liferay.portal.kernel.search.dummy;version="[3.0,4)",com.l
 iferay.portal.kernel.search.facet;version="[8.0,9)",com.liferay.porta
 l.kernel.search.facet.collector;version="[6.3,7)",com.liferay.portal.
 kernel.search.facet.config;version="[8.0,9)",com.liferay.portal.kerne
 l.search.facet.util;version="[7.0,8)",com.liferay.portal.kernel.searc
 h.filter;version="[1.0,2)",com.liferay.portal.kernel.search.generic;v
 ersion="[3.0,4)",com.liferay.portal.kernel.search.geolocation;version
 ="[1.0,2)",com.liferay.portal.kernel.search.highlight;version="[1.0,2
 )",com.liferay.portal.kernel.search.hits;version="[2.0,3)",com.lifera
 y.portal.kernel.search.messaging;version="[7.0,8)",com.liferay.portal
 .kernel.search.query;version="[1.0,2)",com.liferay.portal.kernel.sear
 ch.result;version="[1.0,2)",com.liferay.portal.kernel.search.suggest;
 version="[2.0,3)",com.liferay.portal.kernel.security;version="[6.2,7)
 ",com.liferay.portal.kernel.security.auth;version="[2.6,3)",com.lifer
 ay.portal.kernel.security.auth.tunnel;version="[1.0,2)",com.liferay.p
 ortal.kernel.security.auth.verifier;version="[1.1,2)",com.liferay.por
 tal.kernel.security.permission;version="[3.4,3.5)",com.liferay.portal
 .kernel.security.permission.contributor;version="[1.0,2)",com.liferay
 .portal.kernel.security.permission.propagator;version="[1.0,2)",com.l
 iferay.portal.kernel.security.permission.resource.definition;version=
 "[1.0,2)",com.liferay.portal.kernel.security.pwd;version="[2.0,3)",co
 m.liferay.portal.kernel.security.xml;version="[1.0,2)",com.liferay.po
 rtal.kernel.service.change.tracking;version="[1.0,2)",com.liferay.por
 tal.kernel.service.configuration;version="[1.1,1.2)",com.liferay.port
 al.kernel.service.persistence;version="[6.6,7)",com.liferay.portal.ke
 rnel.service.persistence.change.tracking;version="[1.3,2)",com.lifera
 y.portal.kernel.servlet.filters.compoundsessionid;version="[7.0,8)",c
 om.liferay.portal.kernel.servlet.filters.invoker;version="[9.0,10)",c
 om.liferay.portal.kernel.servlet.taglib.ui;version="[6.7,7)",com.life
 ray.portal.kernel.settings;version="[3.1,4)",com.liferay.portal.kerne
 l.spring.aop;version="[7.0,8)",com.liferay.portal.kernel.spring.orm;v
 ersion="[1.0,2)",com.liferay.portal.kernel.spring.osgi;version="[2.0,
 3)",com.liferay.portal.kernel.systemevent;version="[6.2,7)",com.lifer
 ay.portal.kernel.template;version="[9.1,9.2)",com.liferay.portal.kern
 el.theme;version="[3.1,4)",com.liferay.portal.kernel.transaction;vers
 ion="[8.1,8.2)",com.liferay.portal.kernel.trash;version="[9.0,9.1)",c
 om.liferay.portal.kernel.upgrade;version="[8.5,9)",com.liferay.portal
 .kernel.upgrade.util;version="[7.1,8)",com.liferay.portal.kernel.upgr
 ade.v6_2_0;version="[8.3,9)",com.liferay.portal.kernel.upload;version
 ="[8.1,9)",com.liferay.portal.kernel.util.comparator;version="[3.1,4)
 ",com.liferay.portal.kernel.uuid;version="[6.2,7)",com.liferay.portal
 .kernel.version;version="[1.0,2)",com.liferay.portal.kernel.webdav;ve
 rsion="[8.0,9)",com.liferay.portal.kernel.webdav.methods;version="[6.
 2,7)",com.liferay.portal.kernel.webserver;version="[1.0,2)",com.lifer
 ay.portal.kernel.workflow;version="[9.5,10)",com.liferay.portal.kerne
 l.workflow.permission;version="[7.0,8)",com.liferay.portal.kernel.wor
 kflow.search;version="[1.0,2)",com.liferay.portal.kernel.xml;version=
 "[7.0,7.1)",com.liferay.portal.kernel.xml.simple;version="[6.2,7)",co
 m.liferay.portal.kernel.xmlrpc;version="[6.2,7)",com.liferay.portal.k
 ernel.zip;version="[6.4,7)",com.liferay.ratings.kernel;version="[1.2,
 2)",com.liferay.ratings.kernel.definition;version="[1.1,2)",com.lifer
 ay.ratings.kernel.exception;version="[1.0,2)",com.liferay.ratings.ker
 nel.model;version="[2.4,2.5)",com.liferay.ratings.kernel.service;vers
 ion="[2.5,2.6)",com.liferay.ratings.kernel.transformer;version="[1.0,
 2)",com.liferay.registry,com.liferay.registry.collections,com.liferay
 .registry.dependency,com.liferay.registry.util,com.liferay.sites.kern
 el.util;version="[1.3,2)",com.liferay.social.kernel.exception;version
 ="[1.0,2)",com.liferay.social.kernel.model;version="[3.4,3.5)",com.li
 feray.social.kernel.service;version="[1.8,1.9)",com.liferay.social.ke
 rnel.service.persistence;version="[4.1,5)",com.liferay.trash.kernel.e
 xception;version="[1.1,2)",com.liferay.trash.kernel.model;version="[1
 .1,1.2)",com.liferay.trash.kernel.util;version="[1.0,2)",com.liferay.
 users.admin.kernel.file.uploads;version="[1.0,2)",javax.mail,javax.ma
 il.internet,javax.management,javax.naming,javax.naming.directory,java
 x.net.ssl,javax.portlet,javax.portlet.annotations,javax.portlet.filte
 r,javax.security.auth,javax.security.auth.callback,javax.security.aut
 h.login,javax.security.auth.spi,javax.servlet,javax.servlet.http,java
 x.sql,javax.xml.namespace,javax.xml.parsers,javax.xml.stream,org.xml.
 sax
Include-Resource: classes
Javac-Compiler: modern
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: ISO-8859-1
Liferay-Portal-Build-Date: Tue Sep 22 00:00:00 PDT 2020
Liferay-Portal-Build-Number: 7310
Liferay-Portal-Build-Time: Thu Aug 22 08:52:43 PDT 2024
Liferay-Portal-Code-Name: Athanasius
Liferay-Portal-Parent-Build-Number: 7310
Liferay-Portal-Release-Info: Liferay Digital Experience Platform 7.3.1
 0 SP3 (Athanasius / Build 7310 / September 22, 2020)
Liferay-Portal-Server-Info: Liferay Digital Experience Platform / 7.3.
 10
Liferay-Portal-Version: 7.3.10
Liferay-Portal-Version-Display-Name: 7.3.10 SP3
Private-Package: com.liferay.portal.kernel.internal.cache,com.liferay.
 portal.kernel.internal.dao.jdbc,com.liferay.portal.kernel.internal.se
 curity.access.control,com.liferay.portal.kernel.internal.security.per
 mission.resource,com.liferay.portal.kernel.internal.service.permissio
 n,com.liferay.portal.kernel.internal.service.persistence,com.liferay.
 portal.kernel.internal.service.persistence.change.tracking,com.lifera
 y.portal.kernel.internal.servlet,com.liferay.portal.kernel.internal.s
 pring.transaction,com.liferay.portal.kernel.internal.util
Require-Capability: osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Tool: Bnd-3.5.0.201709291849
